Support » Plugin: Shortcodes Finder » Works Great, but Not on PHP 8

  • I love this plugin, and it does exactly what it says it will do, unless you’re using PHP 8, in which case it throws an error, like “TypeError thrown
    get_class(): Argument #1 ($object) must be of type object, string given”.

    I can switch my PHP versions, but for those that can’t, they may not be able to use it.

    EDIT: Also doesn’t search ACF Fields, which would be a nice addition.

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Scribit

    (@scribit)

    Thanks @epymetheus for your feedback and especially for your advices!
    I will test plugin more on PHP 8 and I hope to fix that bug for the next version.

    For ACF Fields and other plugins with shortcodes I’am working on; but I don’t think I will add this feature in the next release.

    Plugin Author Scribit

    (@scribit)

    Hi @epymetheus!
    I’ve just released version 1.5.0(.1) of Shortcodes Finder, with PHP8 compatibility 😉

    Thread Starter Adam Blodgett

    (@epymetheus)

    @scribit thanks so much for the responsiveness and the timely update!

    I really appreciate your dedication to the project. Thank you!

Viewing 3 replies - 1 through 3 (of 3 total)
  • You must be logged in to reply to this review.